Manjaro Other
   1008

xorg-server-bug865

Добрый день
Пытаюсь установить патч, ругается на конфликты
Спойлер!
загрузка пакетов…
разрешение зависимостей…
проверка конфликтов…
:: xorg-server-bug865 и xorg-server конфликтуют. Удалить xorg-server? [y/N]
ошибка: обнаружен неразрешимый конфликт пакетов
ошибка: не удалось подготовить транзакцию (конфликтующие зависимости)
:: 'xorg-server-bug865' и 'xorg-server' конфликтуют

ставлю вручную:
Спойлер!
sudo pacman -U xorg-server-bug865-1.18.1-3-x86_64.pkg.tar.xz
загрузка пакетов…
разрешение зависимостей…
проверка конфликтов…
:: xorg-server-bug865 и xorg-server конфликтуют. Удалить xorg-server? [y/N] y
:: xorg-server-bug865 и xf86-input-acecad конфликтуют (X-ABI-XINPUT_VERSION). Удалить xf86-input-acecad? [y/N] y
:: xorg-server-bug865 и xf86-input-aiptek конфликтуют (X-ABI-XINPUT_VERSION). Удалить xf86-input-aiptek? [y/N] y
:: xorg-server-bug865 и xf86-input-elographics конфликтуют (X-ABI-XINPUT_VERSION). Удалить xf86-input-elographics? [y/N] y
:: xorg-server-bug865 и xf86-input-evdev конфликтуют (X-ABI-XINPUT_VERSION). Удалить xf86-input-evdev? [y/N] y
:: xorg-server-bug865 и xf86-input-joystick конфликтуют (X-ABI-XINPUT_VERSION). Удалить xf86-input-joystick? [y/N] y
:: xorg-server-bug865 и xf86-input-keyboard конфликтуют (X-ABI-XINPUT_VERSION). Удалить xf86-input-keyboard? [y/N] y
:: xorg-server-bug865 и xf86-input-mouse конфликтуют (X-ABI-XINPUT_VERSION). Удалить xf86-input-mouse? [y/N] y
:: xorg-server-bug865 и xf86-input-void конфликтуют (X-ABI-XINPUT_VERSION). Удалить xf86-input-void? [y/N] y
:: xorg-server-bug865 и xf86-input-wacom конфликтуют (X-ABI-XINPUT_VERSION). Удалить xf86-input-wacom? [y/N] y
:: xorg-server-bug865 и xf86-video-nouveau конфликтуют (X-ABI-VIDEODRV_VERSION). Удалить xf86-video-nouveau? [y/N] y
ошибка: не удалось подготовить транзакцию (не удалось удовлетворить зависимости)
:: xorg-server-bug865: требует xf86-input-driver

система установлена с нуля, на старой системе патч устанавливался без проблем
как быть?

6 комментариев

avatar
А в чем смысл замены xorg-server на xorg-server-bug865?
Неужели в невозможности установки раскладки клавиатуры?
0
avatar
нет, у меня, например, переключение раскладки по Ctrl+Shift и при этом не работают сочетания клавиш Ctrl+Shift+…
например, в хроме не открывается окно в режиме инкогнито
работаю в PhpStorm, многие сочетания не работают, очень неудобно
Последний раз редактировалось
0
avatar
А нельзя ли поменять переключение на Alt+Shift или Alt+пробел?
Тем самым освободив функциональность Ctrl+Shift+…
Да и на счет xorg-server-bug865 -у всех проблема с установкой.
Последний раз редактировалось
0
avatar
можно, не спорю, но менять привычки из-за косяка пакета не хочется
0
avatar
у меня xorg-server 1.18 почему-то отсутствует среди доступных не-aur пакетов (систему ставил давно), по идее можно поставить 1.18 с зависимостями из aur, а затем уж сам патч (у меня не получилось, не помню уж почему).
я поступил следующим образом:
cd /tmp
git clone aur.archlinux.org/xorg-server-bug865.git
cd xorg-server-bug865
git reset c385f2 --hard #последняя версия из 1.17-*
makepkg -si
ну и добавил пакет в IgnorePkg, чтобы не доставал при обновлениях. пока что так.
Последний раз редактировалось
0
avatar
У меня все нормально установилось и подтянуло необходимые зависимости: снес оригинальный xorg-server, через yaourt установил пропатченный
<code>sudo pacman -R xorg-server
yoaurt -S xorg-server-bug865</code>
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.